# ionoscloud\_mongo\_template

The **DbaaS Mongo Template data source** can be used to search for and return an existing DbaaS MongoDB Template. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search string so that it is specific enough to return only one result.

## Example Usage

### By ID

```hcl
data "ionoscloud_mongo_template" "example" {
  id = "template_id"
}
```

### By name

```hcl
data "ionoscloud_mongo_template" "example" {
  name = "name"
}
```

### By name, using partial\_match

```hcl
data "ionoscloud_mongo_template" "example" {
  name = "name"
  partial_match = true
}
```

* `name` - (Optional) The name of the template you want to search for.
* `id` - (Optional) ID of the template you want to search for.
* `partial_match` - (Optional) Whether partial matching is allowed or not when using name argument. Default value is false.

Either `name` or `id` must be provided. If none or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The ID of the template.
* `name` - The name of the template.
* `edition` - The edition of the template (e.g. enterprise).
* `cores` - The number of CPU cores.
* `ram` - The amount of memory in GB.
* `storage_size` - The amount of storage size in GB.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dbaas_mongo_template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
